Subject: Cedar Apple Rust - what to do?
From: [email-masked] (Charlie Johnston)
Date: 19 Jul 1994 14:51:04 GMT
Newsgroups: alt.agriculture.fruit

About 10 apple trees, various varieties, about 5 years old, have
cedar-apple rust.  Cutting down cedars is not an option - too many.
Apparently the fungicide Zineb will control this, but applications
seems to be on 10-day schedule.  Since these are standard-size trees
this could get problematic and costly at maturity.

So....I am looking for cedar-apple rust resistant cultivars?
Does such a strain exist?

Thanks for any help...  ...charlie

- unrelated question - my 'lawn' is mostly former pasture (fescue), and
as such is rather uneven and bumpy.  Will a CultiPacker (sic?) help
this - maybe during the wet season when the ground is soft (red clay)?